<?php
namespace app\api\route;

use app\api\middleware\AllowOriginMiddleware;
use app\api\middleware\SeretKeyMiddleware;
use think\facade\Config;
use think\facade\Route;
use think\Response;

/**
 * 无需授权的接口
 */
Route::group('weixin',function () {
    //微信 sdk 配置
    Route::rule('config', 'v1.weixin/jssdk');
    //小程序获取手机号
    Route::rule('getPhone', 'v1.weixin/getPhone');
    //用户登录
    Route::rule('result', 'v1.weixin/result');
    //微信支付回调
    Route::rule('notify', 'v1.weixin/notify');

})->middleware([
    AllowOriginMiddleware::class
]);
